Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CXFatalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.apps.cz.cio.CXFatalException

All Implemented Interfaces:
  java.io.Serializable

public final class CXFatalException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`java.lang.Throwable` | `getException()`
`java.lang.String` | `getMessage()`
`static java.io.PrintStream` | `getSystemErrorPrintStream()`
`static java.io.PrintStream` | `getSystemPrintStream()`
`void` | `printStackTrace()` Prints this `Throwable` and its backtrace to the output stream.
`void` | `printStackTrace(java.io.PrintStream s)` Prints this `Throwable` and its backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter s)` Prints this `Throwable` and its backtrace to the specified print writer.
`java.lang.String` | `toString()` Returns the name of the original `Throwable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getException

    public java.lang.Throwable getException()

### printStackTrace

    public void printStackTrace()

  Prints this `Throwable` and its backtrace to the output stream.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints this `Throwable` and its backtrace to the specified print stream.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Prints this `Throwable` and its backtrace to the specified print writer.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Since:
    JDK1.1

### toString

    public java.lang.String toString()

  Returns the name of the original `Throwable`
  Overrides:
    `toString` in class `java.lang.Throwable`

### getSystemErrorPrintStream

    public static java.io.PrintStream getSystemErrorPrintStream()

### getSystemPrintStream

    public static java.io.PrintStream getSystemPrintStream()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.